Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class IdentityField

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.IdentityField

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator

public class IdentityField
extends SchemaStructure

A class which represents the field selector for an IdentityConstraint

See Also:
  Serialized Form

Constructor Summary
`IdentityField(java.lang.String xpath)` Creates a new IdentityField.

Method Summary
`Selection` | `getSelection()` Get the compiled XPath expression
`java.lang.String` | `getXPath()` Returns the XPath of this IdentityField.
`void` | `setSelection(Selection selection)` Set the compiled XPath expression
`void` | `setXPath(java.lang.String xpath)` Sets the XPath expression for this Field.

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getSchema, getSystemId, getValidationStatus, lookForCycles, setFixupStatus, setLineNumber, setLocator, setSchema, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityField

    public IdentityField(java.lang.String xpath)

  Creates a new IdentityField.

Parameters:
  `xpath` - the xpath for the IdentityField. Must not be null.

Method Detail

### getXPath

    public java.lang.String getXPath()

  Returns the XPath of this IdentityField. This value will never be null.

  Returns:
    the XPath of this IdentityField.

### getSelection

    public Selection getSelection()

  Get the compiled XPath expression

  Returns:
    the compiled XPath expression, as a Selector object

### setXPath

    public void setXPath(java.lang.String xpath)

  Sets the XPath expression for this Field.

  Parameters:
    `xpath` - the XPath expression for this IdentityField. Must not be null.

### setSelection

    public void setSelection(Selection selection)

  Set the compiled XPath expression

  Parameters:
    `selection` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD